Subject: Re: system() fails on pristine Windows systems
From: Archie Warnock <[email-masked]>
To: René Berber <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Apr 2005 00:00:03 -0400

René Berber wrote:
> I don't know if it works but I would try to use popen(), there's also
> exec() and all it's relatives.

I'll try popen.  I'm not inclined to use anything from exec or spawn - I
don't want to replace the program.  I just need to run an external
program and read the results back in.

> Registry perhaps, the cygwin1.dll has to set a sane environment for
> itself, it probably gets the location of the Cygwin installation plus
> the mount table and some environment variables.

I understand.  Thanks.

-- 
Archie

-- Archie Warnock                       Internet: [email-masked]
-- A/WWW Enterprises                    http://www.awcubed.com
--       As a matter of fact, I _do_ speak for my employer.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/